Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine.value
Class RectValue

    java.lang.Object
      org.apache.batik.css.engine.value.AbstractValue
          org.apache.batik.css.engine.value.RectValue

All Implemented Interfaces:
  Value

    public class RectValue

extends AbstractValue

This class represents CSS rect values.

Field Summary
`protected Value` | `bottom` The bottom value.
`protected Value` | `left` The left value.
`protected Value` | `right` The right value.
`protected Value` | `top` The top value.

Constructor Summary
`RectValue(Value t, Value r, Value b, Value l)` Creates a new Rect value.

Method Summary
`Value` | `getBottom()` Implements `Value.getBottom()`.
`String` | `getCssText()` A string representation of the current value.
`Value` | `getLeft()` Implements `Value.getLeft()`.
`short` | `getPrimitiveType()` The type of the value.
`Value` | `getRight()` Implements `Value.getRight()`.
`Value` | `getTop()` Implements `Value.getTop()`.
`String` | `toString()` Returns a printable representation of this value.

Methods inherited from class org.apache.batik.css.engine.value.AbstractValue
`createDOMException, getBlue, getCssValueType, getFloatValue, getGreen, getIdentifier, getLength, getListStyle, getRed, getSeparator, getStringValue, item`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### top

    protected Value top

  The top value.

### right

    protected Value right

  The right value.

### bottom

    protected Value bottom

  The bottom value.

### left

    protected Value left

  The left value.

Constructor Detail

### RectValue

    public RectValue(Value t,
                     Value r,
                     Value b,
                     Value l)

  Creates a new Rect value.

Method Detail

### getPrimitiveType

    public short getPrimitiveType()

  The type of the value.

  Specified by:
    `getPrimitiveType` in interface `Value`
  Overrides:
    `getPrimitiveType` in class `AbstractValue`

### getCssText

    public String getCssText()

  A string representation of the current value.

### getTop

    public Value getTop()
                 throws DOMException

  Implements `Value.getTop()`.

  Specified by:
    `getTop` in interface `Value`
  Overrides:
    `getTop` in class `AbstractValue`
  Throws:
    `DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a Rect value.

### getRight

    public Value getRight()
                   throws DOMException

  Implements `Value.getRight()`.

  Specified by:
    `getRight` in interface `Value`
  Overrides:
    `getRight` in class `AbstractValue`
  Throws:
    `DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a Rect value.

### getBottom

    public Value getBottom()
                    throws DOMException

  Implements `Value.getBottom()`.

  Specified by:
    `getBottom` in interface `Value`
  Overrides:
    `getBottom` in class `AbstractValue`
  Throws:
    `DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a Rect value.

### getLeft

    public Value getLeft()
                  throws DOMException

  Implements `Value.getLeft()`.

  Specified by:
    `getLeft` in interface `Value`
  Overrides:
    `getLeft` in class `AbstractValue`
  Throws:
    `DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a Rect value.

### toString

    public String toString()

  Returns a printable representation of this value.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.